/**
 * @module package/quiqqer/instagram/bin/controls/AuthSettings
 * @author www.pcsg.de (Henning Leutz)
 *
 * @require qui/QUI
 * @require qui/controls/Control
 */
define('package/quiqqer/instagram/bin/controls/AuthSettings', [

    'qui/QUI',
    'qui/controls/Control'

], function (QUI, QUIControl) {
    "use strict";

    return new Class({
        Extends: QUIControl,
        Type   : 'package/quiqqer/instagram/bin/controls/AuthSettings',

        Binds: [
            '$onImport'
        ],

        initialize: function (options) {
            this.parent(options);

            this.addEvents({
                onImport: this.$onImport
            });
        },

        /**
         * event: on inject
         */
        $onImport: function () {
            var Elm      = this.getElm(),
                Login    = Elm.getElement('.login-url'),
                Redirect = Elm.getElement('.redirect-url');

            var HOST        = QUIQQER_CONFIG.globals.host;
            var redirectUrl = HOST + URL_OPT_DIR + 'quiqqer/instagram/bin/auth/callback.php';

            if (Redirect) {
                Redirect.set('html', redirectUrl);
            } else {
                console.info(redirectUrl);
            }


            var loginUrl = window.location.toString().replace(URL_SYS_DIR, '') +
                           URL_OPT_DIR +
                           'quiqqer/instagram/bin/auth/login.php';

            if (Login) {
                Login.set('html', loginUrl);
            } else {
                console.info(loginUrl);
            }
        }
    });
});